> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Save GSTR-3B

> Authenticated tax payer can save entire GSTR-3B by uploading json to GST portal

#### Request body schema

<Card title="View request body schema" icon="code" href="https://docs.google.com/spreadsheets/d/1grFidpwv4JeO5QcIywMymAXA614cvMNt/edit?usp=sharing&ouid=103247518394508684155&rtpof=true&sd=true" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json POST /gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-3b/{year}/{month}:
    post:
      tags:
        - Taxpayer
        - Returns
        - File GSTR-3B
      summary: Save GSTR-3B
      description: >-
        Authenticated tax payer can save entire GSTR-3B by uploading json to GST
        portal
      operationId: saveGstr3b
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: JSON raw body
              properties: {}
            examples:
              200 Success:
                value:
                  ret_period: '122023'
                  inward_sup:
                    isup_details:
                      - intra: 0
                        ty: GST
                        inter: 0
                      - intra: 0
                        ty: NONGST
                        inter: 0
                  sup_details:
                    osup_nil_exmp:
                      txval: 0
                    osup_nongst:
                      txval: 0
                    osup_zero:
                      csamt: 0
                      iamt: 0
                      txval: 0
                    osup_det:
                      samt: 0
                      csamt: 0
                      camt: 0
                      iamt: 0
                      txval: 0
                    isup_rev:
                      samt: 0
                      csamt: 0
                      camt: 0
                      iamt: 0
                      txval: 0
                  intr_ltfee:
                    intr_details:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                  inter_sup:
                    comp_details: []
                    uin_details: []
                    unreg_details: []
                  itc_elg:
                    itc_avl:
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: IMPG
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: IMPS
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: ISRC
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: ISD
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                    itc_rev:
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: RUL
                        iamt: 0
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                    itc_net:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_inelg:
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: RUL
                        iamt: 0
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                  gstin: 29AAACQ3770E000
                summary: 200 Success
              RT-R3BQ1004 GSTR-1 not filed:
                value:
                  ret_period: '042024'
                  inward_sup:
                    isup_details:
                      - intra: 0
                        ty: GST
                        inter: 0
                      - intra: 0
                        ty: NONGST
                        inter: 0
                  sup_details:
                    osup_nil_exmp:
                      txval: 0
                    osup_nongst:
                      txval: 0
                    osup_zero:
                      csamt: 0
                      iamt: 0
                      txval: 0
                    osup_det:
                      samt: 0
                      csamt: 0
                      camt: 0
                      iamt: 0
                      txval: 0
                    isup_rev:
                      samt: 0
                      csamt: 0
                      camt: 0
                      iamt: 0
                      txval: 0
                  intr_ltfee:
                    intr_details:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                  inter_sup:
                    comp_details: []
                    uin_details: []
                    unreg_details: []
                  itc_elg:
                    itc_avl:
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: IMPG
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: IMPS
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: ISRC
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: ISD
                        iamt: 0
                      - samt: 0
                        csamt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                    itc_rev:
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: RUL
                        iamt: 0
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                    itc_net:
                      csamt: 0
                      samt: 0
                      camt: 0
                      iamt: 0
                    itc_inelg:
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: RUL
                        iamt: 0
                      - csamt: 0
                        samt: 0
                        camt: 0
                        ty: OTH
                        iamt: 0
                  gstin: 29AAACQ3770E000
                summary: RT-R3BQ1004 GSTR-1 not filed
      responses:
        '200':
          description: 200 Success / RT-R3BQ1004 GSTR-1 not filed
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 200
                  data:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          reference_id:
                            type: string
                            example: ab2b2eae-974d-40e2-a721-8c4987af92d0
                      error:
                        type: object
                        properties:
                          error_cd:
                            type: string
                            example: RT-R3BQ1004
                          message:
                            type: string
                            example: >-
                              You have not filed GSTR-1 of the selected tax
                              period. Please file the same to enable filing of
                              GSTR-3B.
                      status_cd:
                        type: string
                        example: '1'
                  timestamp:
                    type: number
                    example: 1763446641000
                  transaction_id:
                    type: string
                    example: a43cfcd6-9a48-4be9-82fd-0816070999db
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      data:
                        reference_id: ab2b2eae-974d-40e2-a721-8c4987af92d0
                      status_cd: '1'
                    timestamp: 1763446641000
                    transaction_id: a43cfcd6-9a48-4be9-82fd-0816070999db
                RT-R3BQ1004 GSTR-1 not filed:
                  summary: RT-R3BQ1004 GSTR-1 not filed
                  value:
                    code: 200
                    data:
                      error:
                        error_cd: RT-R3BQ1004
                        message: >-
                          You have not filed GSTR-1 of the selected tax period.
                          Please file the same to enable filing of GSTR-3B.
                      status_cd: '0'
                    timestamp: 1763446641000
                    transaction_id: b830e36f-696a-445f-bece-d0a0be5e8c02
          headers: {}
      deprecated: false
      security: []

````